Bug 1823224 (CVE-2020-2773) - CVE-2020-2773 OpenJDK: Unexpected exceptions raised by DOMKeyInfoFactory and DOMXMLSignatureFactory (Security, 8231415)
Summary: CVE-2020-2773 OpenJDK: Unexpected exceptions raised by DOMKeyInfoFactory and ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2773
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1826103 1826104 1810784 1810785 1810786 1810787 1810788 1810789 1810790 1810791 1810792 1810793 1810794 1821435 1821436 1821437
Blocks: 1810559
TreeView+ depends on / blocked
 
Reported: 2020-04-12 21:18 UTC by Tomas Hoger
Modified: 2020-08-12 07:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-21 16:32:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1534 None None None 2020-04-22 01:02:13 UTC
Red Hat Product Errata RHBA-2020:1535 None None None 2020-04-22 08:58:04 UTC
Red Hat Product Errata RHBA-2020:1957 None None None 2020-04-29 01:12:33 UTC
Red Hat Product Errata RHBA-2020:1958 None None None 2020-04-29 01:12:41 UTC
Red Hat Product Errata RHBA-2020:1997 None None None 2020-04-30 15:04:37 UTC
Red Hat Product Errata RHBA-2020:1999 None None None 2020-04-30 18:18:16 UTC
Red Hat Product Errata RHBA-2020:2034 None None None 2020-05-06 08:47:13 UTC
Red Hat Product Errata RHBA-2020:2035 None None None 2020-05-06 08:50:50 UTC
Red Hat Product Errata RHBA-2020:2073 None None None 2020-05-12 08:36:28 UTC
Red Hat Product Errata RHBA-2020:2177 None None None 2020-05-18 09:50:12 UTC
Red Hat Product Errata RHBA-2020:2188 None None None 2020-05-18 14:46:54 UTC
Red Hat Product Errata RHBA-2020:2189 None None None 2020-05-18 14:45:33 UTC
Red Hat Product Errata RHBA-2020:2191 None None None 2020-05-18 14:47:53 UTC
Red Hat Product Errata RHBA-2020:2194 None None None 2020-05-18 14:49:56 UTC
Red Hat Product Errata RHBA-2020:2248 None None None 2020-05-21 15:21:33 UTC
Red Hat Product Errata RHBA-2020:2254 None None None 2020-05-25 16:20:43 UTC
Red Hat Product Errata RHBA-2020:2620 None None None 2020-06-19 01:48:19 UTC
Red Hat Product Errata RHSA-2020:1506 None None None 2020-04-21 10:21:07 UTC
Red Hat Product Errata RHSA-2020:1507 None None None 2020-04-21 10:20:28 UTC
Red Hat Product Errata RHSA-2020:1508 None None None 2020-04-21 09:32:50 UTC
Red Hat Product Errata RHSA-2020:1509 None None None 2020-04-21 11:17:10 UTC
Red Hat Product Errata RHSA-2020:1512 None None None 2020-04-21 11:31:21 UTC
Red Hat Product Errata RHSA-2020:1514 None None None 2020-04-21 16:31:53 UTC
Red Hat Product Errata RHSA-2020:1515 None None None 2020-04-22 09:33:53 UTC
Red Hat Product Errata RHSA-2020:1516 None None None 2020-04-22 09:17:19 UTC
Red Hat Product Errata RHSA-2020:1517 None None None 2020-04-22 09:14:53 UTC

Description Tomas Hoger 2020-04-12 21:18:22 UTC
A flaw was found in the Security component of OpenJDK.  It was discovered that the unmarshalKeyInfo() method of the DOMKeyInfoFactory class and the unmarshalXMLSignature() method of the DOMXMLSignatureFactory class could raise exceptions not declared as thrown by these methods when reading key info or XML signature data from XML input.

Comment 1 Tomas Hoger 2020-04-14 21:40:12 UTC
Public now via Oracle CPU April 2020:

https://www.oracle.com/security-alerts/cpuapr2020.html#AppendixJAVA

Fixed in Oracle Java SE 14.0.1, 11.0.7, 8u251, and 7u261.

Comment 2 errata-xmlrpc 2020-04-21 09:32:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1508 https://access.redhat.com/errata/RHSA-2020:1508

Comment 3 errata-xmlrpc 2020-04-21 10:20:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1507 https://access.redhat.com/errata/RHSA-2020:1507

Comment 4 errata-xmlrpc 2020-04-21 10:21:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1506 https://access.redhat.com/errata/RHSA-2020:1506

Comment 5 errata-xmlrpc 2020-04-21 11:17:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1509 https://access.redhat.com/errata/RHSA-2020:1509

Comment 6 errata-xmlrpc 2020-04-21 11:31:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1512 https://access.redhat.com/errata/RHSA-2020:1512

Comment 7 errata-xmlrpc 2020-04-21 16:31:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1514 https://access.redhat.com/errata/RHSA-2020:1514

Comment 8 Product Security DevOps Team 2020-04-21 16:32:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2773

Comment 9 errata-xmlrpc 2020-04-22 09:14:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1517 https://access.redhat.com/errata/RHSA-2020:1517

Comment 10 errata-xmlrpc 2020-04-22 09:17:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1516 https://access.redhat.com/errata/RHSA-2020:1516

Comment 11 errata-xmlrpc 2020-04-22 09:33:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1515 https://access.redhat.com/errata/RHSA-2020:1515


Note You need to log in before you can comment on or make changes to this bug.